#ifndef INTERFACEH
#define INTERFACEH

/*
** Includes
*/
#include <windows.h>


#include "..\Utilities\Util.h"
#include "clean_bool.h"

/*
** DEFINEs
*/

#define RESOURCEAPI	__declspec(dllexport)
/*
** External functions
*/

/*
** API Functions
*/
RESOURCEAPI void MakeNonUnique(int val, int *fst, int *snd);
RESOURCEAPI void SetCurrentLibrary(CLEAN_STRING clstring, CLEAN_BOOL *result, DWORD *lib); 
RESOURCEAPI int CloseLibrary(DWORD lib);
RESOURCEAPI void GetFuncAddress (CLEAN_STRING clstring, DWORD base_of_client_dll, DWORD lib0, DWORD *address, DWORD *lib1); 

RESOURCEAPI CLEAN_BOOL GenerateObjectFileOld(CLEAN_STRING cg, CLEAN_STRING CmdLine);

#endif 